@include keyframes(ngdialog-fadeout) {
    0% {
        @include opacity(1);
    }
    100% {
        @include opacity(0);
    }
}


@include keyframes(ngdialog-fadein) {
    0% {
        @include opacity(0);
    }
    100% {
        @include opacity(1);
    }
}


body.ngdialog-open {
    overflow: hidden;
}

.ngdialog {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 10000;
    overflow: auto;
    text-align: center;
    -webkit-overflow-scrolling: touch;
    @include box-sizing(border-box);
    .ngdialog-overlay {
        position: fixed;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background: rgba(0, 0, 0, 0.4);
        -webkit-backface-visibility: hidden;
        @include animation(ngdialog-fadein 0.5s);
    }
    .ngdialog-content {
        background: white;
        @include animation(ngdialog-fadein 0.5s);
        -webkit-backface-visibility: hidden;
    }
    &.ngdialog-closing {
        .ngdialog-content,
        .ngdialog-overlay {
            @include animation(ngdialog-fadeout 0.5s);
            -webkit-backface-visibility: hidden;
        }
    }
}


@include keyframes(ngdialog-flyin) {
    0% {
        @include translate(0, -40px, 0);
        @include opacity(0);
    }
    100% {
        @include translate(0, 0, 0);
        @include opacity(1);
    }
}


@include keyframes(ngdialog-flyout) {
    0% {
        @include translate(0, 0, 0);
        @include opacity(1);
    }
    100% {
        @include translate(0, -40px, 0);
        @include opacity(0);
    }
}


.ngdialog.ngdialog-theme-default {
    padding-top: 7%;
    padding-bottom: 10%;
    .ngdialog-content {
        position: relative;
        max-width: 100%;
        margin: 0 auto;
        padding: 3em 1em;
        line-height: 1.5em;
        text-align: left;
        color: #444;
        // background: #f0f0f0;
        background: #fff;
        @include animation(ngdialog-flyin 0.5s);
        @include border-radius(5px);
        @include inline-block;
    }
    .ngdialog-close {
        position: absolute;
        top: 0;
        right: 0;
        cursor: pointer;
        @include border-radius(5px);
        &:before {
            position: absolute;
            top: 3px;
            right: 3px;
            width: 30px;
            height: 30px;
            font-size: 26px;
            font-weight: 400;
            line-height: 26px;
            content: '\00D7';
            text-align: center;
            color: #bbb;
            background: transparent;
            @include border-radius(3px);
        }
        &:hover:before,
        &:active:before {
            color: #777;
        }
    }
    &.ngdialog-closing .ngdialog-content {
        @include animation(ngdialog-flyout 0.5s);
    }
    .ngdialog-message {
        margin-bottom: .5em;
    }
    .ngdialog-input {
        margin-bottom: 1em;
        textarea,
        input[type='text'],
        input[type='password'],
        input[type='email'],
        input[type='url'] {
            width: 100%;
            min-height: 2.5em;
            margin: 0 0 .25em;
            padding: .25em .67em;
            font-family: inherit;
            font-size: inherit;
            font-weight: inherit;
            border: 0;
            background: #fff;
            @include border-radius(3px);
            &:focus {
                outline: none;
                @include box-shadow(inset 0 0 0 2px #8dbdf1);
            }
        }
    }
    .ngdialog-buttons {
        *zoom: 1;
        &:after {
            display: table;
            clear: both;
            content: '';
        }
    }
    .ngdialog-button {
        float: right;
        margin: 0 0 0 .5em;
        padding: .75em 2em;
        font-family: inherit;
        font-size: .8em;
        line-height: 1em;
        cursor: pointer;
        letter-spacing: .1em;
        text-transform: uppercase;
        border: 0;
        @include border-radius(3px);
        &:focus {
            outline: none;
            @include animation(ngdialog-pulse 1.1s infinite);
        }
        &.ngdialog-button-primary {
            color: #fff;
            background: #3288e6;
        }
        &.ngdialog-button-secondary {
            color: #777;
            background: #e0e0e0;
        }
    }
}

/* define width */
.ngdialog.ngdialog-theme-default {
    .ngdialog-content {
        width: 450px;
    }
    &.lg .ngdialog-content {
        width: $page-width-min;
    }
    &.full {
        padding: 0;
        .ngdialog-content {
            width: 100%;
            min-height: 100%;
            @include border-radius(0);
        }
    }
    &.md .ngdialog-content {
        width: 786px;
    }
    &.zdy .ngdialog-content{
        width:auto;
    }
}

@media (max-width: 568px) {
    .ngdialog.ngdialog-theme-default .ngdialog-button:focus {
        @include animation(none);
    }
}
